<?php
namespace Mirasvit\AllProducts\Controller\Router;

/**
 * Interceptor class for @see \Mirasvit\AllProducts\Controller\Router
 */
class Interceptor extends \Mirasvit\AllProducts\Controller\Router implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\AllProducts\Service\UrlService $url, \Magento\Framework\App\ActionFactory $actionFactory, \Magento\Framework\Event\ManagerInterface $eventManager, \Magento\Framework\Registry $registry)
    {
        $this->___init();
        parent::__construct($url, $actionFactory, $eventManager, $registry);
    }

    /**
     * {@inheritdoc}
     */
    public function match(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'match');
        return $pluginInfo ? $this->___callPlugins('match', func_get_args(), $pluginInfo) : parent::match($request);
    }
}
